Get an Applied Customer Billing Rate by ID
/appliedCustomerBillingRate/{id}
Request
-
id(required): string
The item number or the ID of the item to get.Examples
-
@type: string
The type of object to return.Examples
-
fields: string
The list of comma-separated fields to return in the response.Examples
There's no request body for this operation.
Back to TopResponse
- application/json;charset=utf-8
200 Response
objectApplied Customer Billing Rate-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationThe URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
appliedTax: array
appliedTax
The taxes applied to the applied customer billing rate.
-
bill: object
Bill Ref
Title:
Bill RefA reference to a bill. -
billingAccount:
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "BillingAccountRef":"#/components/schemas/BillingAccountRef" } } -
characteristic: array
characteristic
The characteristics that define the applied customer billing rate.
-
date: string
(date-time)
Title:
Applied Customer Billing Rate Created DateThe date the applied customer billing rate was created. -
description: string
Title:
DescriptionThe applied customer billing rate's description. -
href(required): string
Title:
Applied Customer Billing Rate HrefThe applied customer billing rate's href. -
id(required): string
Title:
Applied Customer Billing Rate IDThe applied customer billing rate's ID. -
isBilled: boolean
Title:
BilledWhether the applied customer billing rate has been billed (true) or not (false). If true, also provide a value for the bill property. If false, also provide a value for the billingAccount property. -
name: string
Title:
Applied Customer Billing Rate NameThe applied customer billing rate's name. -
periodCoverage: object
TimePeriod
Represents a time period with a start date, an end date, or both.
-
product: object
ProductRef
A product reference.
-
taxExcludedAmount: object
Money
Represents a monetary amount.
-
taxIncludedAmount: object
Money
Represents a monetary amount.
-
type: string
Title:
Applied Billing Rate TypeThe applied customer billing rate's type. For example: appliedBillingCharge (for recurring, one time, and usage charges), appliedBillingCredit (for rebates or product alteration credits), or appliedPenaltyCharge (for penalty charges like late fees or payment rejection fees.)
array-
Array of:
object Applied Billing Tax Rate
Title:
Applied Billing Tax RateThe tax rate applied to a billing rate.
objectBill Ref-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe actual type of the target instance when needed for disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Bill HrefThe bill's href. -
id: string
Title:
Bill IDThe bill's ID.
objectDiscriminator Values
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
-
object
Discriminator: @type-allOf[2]
Refers to the billing account. The billing account describes the bill structure.
array-
Array of:
object Applied Billing Rate Characteristic
Title:
Applied Billing Rate CharacteristicA characteristic of an applied billing rate, based on the service type, line of business, or other parameters.
object-
endDateTime: string
(date-time)
The end of the time period in IETF RFC 3339 format.Example:
1985-04-12T23:20:50.52Z -
startDateTime: string
(date-time)
The start of the time period in IETF RFC 3339 format.Example:
1985-04-12T23:20:50.52Z
object-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
object-
unit: string
The currency's ISO 4217 three-letter code.
-
value: number
(double)
A signed floating-point number whose sign depends on the API context.
objectApplied Billing Tax Rate-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationThe URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
taxAmount: object
Money
Represents a monetary amount.
-
taxCategory: string
Title:
Tax CategoryThe applied billing tax's category. -
taxRate: number
(float)
Title:
Tax RateThe applied billing tax rate.
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
-
object
EntityRef-allOf[2]
Represents an entity reference schema for EntityRef classes.
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
href: string
The hyperlink reference.
-
id: string
The ID.
object-
@referredType: string
The actual type of the target instance when needed for disambiguation.
-
href: string
The URI of the referred entity.
-
id(required): string
The identifier of the referred entity.
-
name: string
The referred entity's name.
object-
ratingType: string
Indicates if the account follows a specific payment option such as prepaid or postpaid.
objectApplied Billing Rate Characteristic-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Scheme LocationThe URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
name(required): string
Title:
Characteristic NameThe characteristic's name. -
value(required):
-
valueType: string
Title:
Characteristic TypeThe data type of the characteristic's value.
400 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
404 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
-
Example 1: Get an Applied Customer Billing Rate by Item POID
-
Example 2: Get an Applied Customer Billing Rate by Item Number
Example 1: Get an Applied Customer Billing Rate by Item POID
The following example shows how to get the applied customer billing rate associated with the specified item POID by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X GET 'http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/0.0.0.1+-item-cycle_forward+108525'
Response Body
The following example shows the contents of the response body in JSON format.
{
"id": "0.0.0.1+-item-cycle_forward+108525",
"href": "http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/0.0.0.1+-item-cycle_forward+108525",
"date": "2025-05-02T01:14:14-07:00",
"description": null,
"isBilled": false,
"name": "Cycle forward",
"type": "/item/cycle_forward",
"appliedTax": null,
"bill": {
"id": "0.0.0.1+-bill+106861",
"href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+106861",
"@baseType": null,
"@schemaLocation": null,
"@type": "BillRef",
"@referredType": "CustomerBill"
},
"billingAccount": {
"id": "0.0.0.1+-account+107117",
"href": null,
"name": "Jane Smith",
"@baseType": null,
"@schemaLocation": null,
"@type": "BillingAccountRef",
"@referredType": "billingAccount"
},
"characteristic": null,
"periodCoverage": null,
"product": null,
"taxExcludedAmount": {
"unit": "EUR",
"value": 45.0
},
"taxIncludedAmount": {
"unit": "EUR",
"value": 45.0
},
"@baseType": "AppliedCustomerBillingRate",
"@schemaLocation": null,
"@type": "AppliedCustomerBillingRate"
}
Example 2: Get an Applied Customer Billing Rate by Item Number
The following example shows how to get the applied customer billing rate associated with the specified item number by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X GET 'http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/Item-111'
Response Body
The following example shows the contents of the response body in JSON format.
{
"id": "Item-111",
"href": "http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/Item-111",
"date": "2025-05-02T01:14:14-07:00",
"description": null,
"isBilled": false,
"name": "Cycle forward",
"type": "/item/cycle_forward",
"appliedTax": null,
"bill": {
"id": "0.0.0.1+-bill+106861",
"href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+106861",
"@baseType": null,
"@schemaLocation": null,
"@type": "BillRef",
"@referredType": "CustomerBill"
},
"billingAccount": {
"id": "0.0.0.1+-account+107117",
"href": null,
"name": "Mark Davis",
"@baseType": null,
"@schemaLocation": null,
"@type": "BillingAccountRef",
"@referredType": "billingAccount"
},
"characteristic": null,
"periodCoverage": null,
"product": null,
"taxExcludedAmount": {
"unit": "USD",
"value": 12.0
},
"taxIncludedAmount": {
"unit": "USD",
"value": 5.0
},
"@baseType": "AppliedCustomerBillingRate",
"@schemaLocation": null,
"@type": "AppliedCustomerBillingRate"
}